set(OS "Unknown")
set (L_ETCDIR "${CMAKE_INSTALL_PREFIX}/etc")
set (L_SHAREDIR "${CMAKE_INSTALL_PREFIX}/share")
if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
	set(OS "FreeBSD")
elseif(CMAKE_SYSTEM_NAME MATCHES "DragonFly")
	set(OS "DragonFly")
elseif(CMAKE_SYSTEM_NAME MATCHES "OpenBSD")
	set(OS "OpenBSD")
elseif(CMAKE_SYSTEM_NAME MATCHES "NetBSD")
	set(OS "NetBSD")
elseif (CMAKE_SYSTEM_NAME MATCHES "Linux")
	cmake_host_system_information(RESULT LINUX_DISTRO QUERY DISTRIB_NAME)
	if (LINUX_DISTRO MATCHES "Fedora")
		set(OS "Fedora")
		set (ETCDIR "/etc")
	elseif (LINUX_DISTRO MATCHES "Gentoo")
		set(OS "Gentoo")
		set (ETCDIR "${CMAKE_INSTALL_PREFIX}/../etc")
	elseif (LINUX_DISTRO MATCHES "Slackware")
		set(OS "Slackware")
	elseif (LINUX_DISTRO MATCHES "Void Linux")
		set(OS "VoidLinux")
		set (ETCDIR "${CMAKE_INSTALL_PREFIX}/../etc")
	else()
		set(OS "Linux")
	endif()
endif()
